/* noto-sans-regular - latin */
@font-face {
  font-family: "Noto Sans";
  font-style: normal;
  font-weight: 400;
  src: local(""),
    url("../fonts/noto-sans-v21-latin-regular.woff2") format("woff2"),
    /* Chrome 26+, Opera 23+, Firefox 39+ */
      url("../fonts/noto-sans-v21-latin-regular.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* noto-sans-italic - latin */
@font-face {
  font-family: "Noto Sans";
  font-style: italic;
  font-weight: 400;
  src: local(""),
    url("../fonts/noto-sans-v21-latin-italic.woff2") format("woff2"),
    /* Chrome 26+, Opera 23+, Firefox 39+ */
      url("../fonts/noto-sans-v21-latin-italic.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* noto-sans-700 - latin */
@font-face {
  font-family: "Noto Sans";
  font-style: normal;
  font-weight: 700;
  src: local(""), url("../fonts/noto-sans-v21-latin-700.woff2") format("woff2"),
    /* Chrome 26+, Opera 23+, Firefox 39+ */
      url("../fonts/noto-sans-v21-latin-700.woff") format("woff"); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

:root {
  --color-orange: rgba(251, 169, 25, 1);
  --color-pink: rgba(237, 28, 139, 1);
  --color-blue: rgba(0, 82, 161, 1);
  --color-yellow: rgba(249, 225, 64, 1);
  --color-green: rgba(99, 156, 64, 1);
  --color-purple: rgba(95, 77, 156, 1);

  --color-orange-disabled: rgba(251, 169, 25, 0.2);
  --color-pink-disabled: rgba(237, 28, 139, 0.2);
  --color-blue-disabled: rgba(0, 82, 161, 0.2);
  --color-yellow-disabled: rgba(249, 225, 64, 0.2);
  --color-green-disabled: rgba(99, 156, 64, 0.2);
  --color-purple-disabled: rgba(95, 77, 156, 0.2);

  --color-black: rgb(0, 0, 0);
  --color-white: rgb(255, 255, 255);


  --color-text: var(--color-black);
  --color-text-disabled: rgba(0, 0, 0, 0.5);
  --color-background: var(--color-white);

  --color-link: var(--color-blue);

  --spacing-vertical: 1rem;
  --spacing-horizontal: 1rem;

  --height-header: 6rem;
  --height-top-bar: 10px;
  --width-max-section: 100%;
  --width-max: calc(var(--width-max-section) - (var(--spacing-horizontal) * 2));

  --width-logo: calc((var(--height-header) - 2rem) * 3);

  --border-radius-buttons: 0.2rem;

  --line-height-larger: 1.15;
  --line-height-large: 1.25;
  --line-height: 1.5;
  --line-height-small: 1.5;

  --font-size-larger: 36px;
  --font-size-large: 24px;
  --font-size: 16px;
  --font-size-small: 14px;
  --font-size-smaller: 12px;
  --font-weight-normal: 400;

  --background-gradient-yellow: linear-gradient(
    90deg,
    #f8d707 0%,
    #f59a1e 100%
  );
  --background-gradient-orange: linear-gradient(
    90deg,
    #f68b2a 0%,
    #ef4658 100%
  );
  --background-gradient-purple: linear-gradient(
    90deg,
    #bd3891 0%,
    #5f4d9c 100%
  );
  --background-gradient-green: linear-gradient(90deg, #c9cc28 0%, #639c40 100%);

  --background-gradient-yellow--vertical: linear-gradient(
    180deg,
    #f8d707 0%,
    #f59a1e 100%
  );
  --background-gradient-orange--vertical: linear-gradient(
    180deg,
    #f68b2a 0%,
    #ef4658 100%
  );
  --background-gradient-purple--vertical: linear-gradient(
    180deg,
    #bd3891 0%,
    #5f4d9c 100%
  );
  --background-gradient-green--vertical: linear-gradient(
    180deg,
    #c9cc28 0%,
    #639c40 100%
  );

  --font-family: "Noto Sans", "times", serif, Helvetica, Arial, sans-serif;

  font-family: var(--font-family);
  font-size: var(--font-size);
  line-height: var(--line-height);

  --background-gradient: var(--background-gradient-yellow);
  --background-gradient-vertical: var(--background-gradient-yellow);
  --color-accent: var(--color-yellow);
  --color-accent-disabled: var(--color-yellow-disabled);
  --color-complimentary: var(--color-blue);
  --color-complimentary-text: var(--color-white);
}

.cta {
  background-image: var(--background-gradient) !important;
}

body.page-info-centre {
  --background-gradient: var(--background-gradient-orange);
  --background-gradient-vertical: var(--background-gradient-orange);
  --color-accent: var(--color-orange);
  --color-accent-disabled: var(--color-orange-disabled);
}

body[class*="member"] {
  --background-gradient: var(--background-gradient-purple);
  --background-gradient-vertical: var(--background-gradient-purple);
  --color-accent: var(--color-pink);
  --color-accent-disabled: var(--color-purple-disabled);
  --color-complimentary: var(--color-accent);
  --color-complimentary-text: var(--color-white);
}

body.single-post,
body[class*="blog"] {
  --background-gradient: var(--background-gradient-green);
  --background-gradient-vertical: var(--background-gradient-green);
  --color-accent: var(--color-green);
  --color-accent-disabled: var(--color-green-disabled);
}

header .menu-item > a:hover,
body {
  background: var(--background-gradient);
}

@media (min-width: 45rem) {
  :root {
    --height-header: 8rem;
    --width-max-section: 60rem;
    --font-size: 18px;
  }
}
